Package twisted :: Package conch :: Package ssh :: Module transport :: Class SSHCiphers

[show private | hide private]
[frames | no frames]

## Class SSHCiphers

Method Summary
| `__init__(self, outCip, inCip, outMac, inMac)`
| `decrypt(self, blocks)`
| `encrypt(self, blocks)`
| `makeMAC(self, seqid, data)`
| `setKeys(self, outIV, outKey, inIV, inKey, outInteg, inInteg)`
| `verify(self, seqid, data, mac)`
| `_getCipher(self, cip, iv, key)`
| `_getMAC(self, mac, key)`

Class Variable Summary
`dictionary` | `cipherMap`
`dictionary` | `macMap`

Class Variable Details

### cipherMap

  Type:
    `dictionary`
  Value:

        {'3des-cbc': ('DES3', 24),
         'aes128-cbc': ('AES', 16),
         'aes192-cbc': ('AES', 24),
         'aes256-cbc': ('AES', 32),
         'arcfour': ('ARC4', 16),
         'blowfish-cbc': ('Blowfish', 16),
         'cast128-cbc': ('CAST', 16),
         'idea-cbc': ('IDEA', 16),
        ...

### macMap

  Type:
    `dictionary`
  Value:

        {'hmac-md5': 'md5', 'none': None, 'hmac-sha1': 'sha'}

Generated by Epydoc 1.1 on Sat Feb 15 21:18:59 2003 | http://epydoc.sf.net